[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoFloatMsg

Handler called when the control starts floating.

## Declaration

Source position: controls.pp line 1131

`protected procedure TControl.DoFloatMsg(`
`ADockSource: TDragDockObject`
`); virtual;`

## Description

Since TControls cannot float for themselves, a FloatHost site is created and the control is docked into it.

When the control already has a Parent (FloatHost site), the Parent's position and extent is adjusted to fit the DockRect as its ClientRect

The latest version of this document can be found at lazarus-ccr.sourceforge.net.